## ladspa ladspa — bridge for ladspa (Linux Audio Developer's Simple Plugin API) |

## Synopsis

                        GstLADSPA;

## Description

The ladspa (Linux Audio Developer's Simple Plugin API) element is a bridge for plugins using the ladspa API. It scans all installed ladspa plugins and registers them as gstreamer elements. If available it can also parse lrdf files and use the metadata for element classification.

## Details

### GstLADSPA

    typedef struct {
      GstSignalProcessor parent;

      LADSPA_Descriptor *descriptor;
      LADSPA_Handle *handle;

      gboolean activated;
      gboolean inplace_broken;
    } GstLADSPA;